Subject: Re: [PATCH v2 7/7] blame: actually use the diff opts parsed from the command line

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Sep 2016 10:58:10 -0700

Michael Haggerty <[email-masked]> writes:

> The reason that I would prefer to change `blame` as part of this patch
> series is that I think it would be disconcerting for `git diff` and `git
> blame` to use different heuristics when computing diffs. It would make
> their output inconsistent.

I do think it is the right thing to do.  With your shifting heuristics,
"git diff" would attribute an addition of a whole block more
correctly, e.g.

	 }

        +foo {
        +	bar
        +       baz
	+}

instead of attributing the tail of the new thing to the old author,
and the "blame" should take advantage of the better heuristics as
well.